Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705690 - dev-python/pypy*-7.3.0: stablereq
Summary: dev-python/pypy*-7.3.0: stablereq
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on: 705796 705846
Blocks:
  Show dependency tree
 
Reported: 2020-01-17 18:47 UTC by Michał Górny
Modified: 2020-09-17 17:17 UTC (History)
0 users

See Also:
Package list:
dev-python/pypy-7.3.0 dev-python/pypy-exe-7.3.0 dev-python/pypy-exe-bin-7.3.0_p1 dev-python/pypy3-7.3.0 dev-python/pypy3-exe-7.3.0 dev-python/pypy3-exe-bin-7.3.0_p1
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-17 18:47:29 UTC
Let's finally get the interpreter stable.  Please *do not* stabilize virtual/pypy*, that one's going out.
Comment 1 Georgy Yakovlev archtester gentoo-dev 2020-01-19 11:05:24 UTC
something wrong with the deps

on ppc64 we have no binpkg,

 USE=low-memory emerge pypy-exe -pv

[ebuild  N    ~] dev-python/pypy-exe-7.3.0:7.3.0::gentoo  USE="bzip2 jit low-memory ncurses" 0 KiB


i DO NOT have pypy installed yet so it'll fail obviously later.

and without low-memory it creates a circular dep on pypy.

These are the packages that would be merged, in order:

Calculating dependencies... done!


[nomerge       ] dev-python/pypy-7.3.0:0/73::gentoo  USE="bzip2 gdbm jit ncurses -libressl -sqlite -tk"
[ebuild  N    ~]  dev-python/pypy-exe-7.3.0:7.3.0::gentoo  USE="bzip2 jit ncurses -low-memory" 0 KiB
[ebuild  N    ~]   dev-python/pypy-7.3.0:0/73::gentoo  USE="bzip2 gdbm jit ncurses -libressl -sqlite -tk" 0 KiB



when I keyworded this some time ago I was able to build it using Cpython.
Comment 2 Georgy Yakovlev archtester gentoo-dev 2020-01-19 11:07:08 UTC
ok, figured it out, portage being weird.

unless I pull in pycparser into depgraph manually it tries to prefer circular deps...

# emerge pypy-exe pycparser -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-python/ply-3.9:0/3.9::gentoo  USE="-examples" PYTHON_TARGETS="python2_7 python3_6 (-pypy3)" 0 KiB
[ebuild  N     ] dev-python/pycparser-2.14::gentoo  USE="-test" PYTHON_TARGETS="python2_7 python3_6 (-pypy3)" 0 KiB
[ebuild  N    ~] dev-python/pypy-exe-7.3.0:7.3.0::gentoo  USE="bzip2 jit ncurses -low-memory" 0 KiB
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-19 11:18:33 UTC
I'm going to file a Portage bug about it.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-19 11:32:54 UTC
Actually, I can't reproduce.  After unmerging pypy* and trying to re-emerge it:

# emerge -1v dev-python/pypy -pt

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N    ~] dev-python/pypy-7.3.0:0/73::gentoo  USE="bzip2 gdbm jit ncurses sqlite -libressl -tk" 0 KiB
[ebuild  NS   ~]  dev-python/pypy-exe-7.3.0:7.3.0::gentoo [7.3.0_rc3:7.3.0_rc3::gentoo] USE="bzip2 jit ncurses -low-memory (-sandbox%)" CPU_FLAGS_X86="(-sse2*)" 0 KiB
[ebuild  N     ]   dev-python/pycparser-2.19-r1::gentoo  USE="-test" PYTHON_TARGETS="pypy3 python2_7 python3_6 python3_7 python3_8" 0 KiB


Did you maybe remove python2_7 from PYTHON_TARGETS or sth like that?
Comment 5 Georgy Yakovlev archtester gentoo-dev 2020-01-19 21:34:38 UTC
it's a stabilization chroot, haven't touched python targets at all. those are as vanilla as possible.


same happens on cleanly unpacked chroot, stage3-amd64-20200115T214501Z.tar.xz

steps to reproduce

unpack stage3
chroot inside

update accept_keywords for dev-python/pypy{,-exe} (but not -bin)
or just set ACCEPT_KEYWORDS=~amd64

emerge -pv pypy


and it does not pull pycparser.
portage 2.3.79


as for your dockerfile and building bins, I'll check it out. also got docker keyworded couple days ago.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-20 08:22:39 UTC
Could you try newer Portage?  There was a fix regarding circular dep resolution lately.
Comment 7 Georgy Yakovlev archtester gentoo-dev 2020-01-21 00:06:25 UTC
tried 2.3.84-r1 which has the commit https://github.com/gentoo/portage/commit/680276cc4d4faa653203366cbe3c896ac3883cf2

still the same, I'll ask Zac to take a look.
Comment 8 Georgy Yakovlev archtester gentoo-dev 2020-01-21 00:34:17 UTC
ok let's stop this portage discussion here, portage bug for this
https://bugs.gentoo.org/705986
Comment 9 Thomas Deutschmann gentoo-dev 2020-01-27 15:47:01 UTC
x86 stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-02-08 13:36:45 UTC
amd64 stable
Comment 11 NATTkA bot gentoo-dev 2020-09-17 17:09:10 UTC
Unable to check for sanity:

> no match for package: dev-python/pypy-7.3.0
Comment 12 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-17 17:17:40 UTC
Let's call it obsolete.